ServiceNow LMS - PlatCore Learning Management System

System Requirements

 

  • ServiceNow major version: Helsinki, Istanbul, Jakarta
  • Helsinki Patch 6 or later recommended
  • “Service Portal for Enterprise Service Management” plug-in activated

 

Browser Support

  • Chrome version 55 or higher
  • Internet Explorer 10 or higher
  • Microsoft Edge 14 or higher
  • Mozilla Firefox 51 or higher
  • Safari 4 or higher

 

Mobile Device Support Tested

  • Apple iPhone (5/6/7)
  • Apple iPad

 

Language Support

  • English only currently (others coming)